Index: /LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv3_routines.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv3_routines.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv3_routines.F90	(revision 5116)
@@ -4466,12 +4464,12 @@
 !AC!      do j=1,ntra
 !AC!       do il = 1,ncum
-!AC!       if (i.lt.inb(il) .and. lwork(il)) then
+!AC!       if (i.lt.inb(il) .and. lwork(il)) THEN
 !AC!c
-!AC!         if(mplus(il))then
+!AC!         IF(mplus(il))THEN
 !AC!          trap(il,i,j)=trap(il,i+1,j)*mp(il,i+1)
 !AC!     :              +trap(il,i,j)*(mp(il,i)-mp(il,i+1))
 !AC!          trap(il,i,j)=trap(il,i,j)/mp(il,i)
 !AC!         else ! if (mplus(il))
-!AC!          if(mp(il,i+1).gt.1.0e-16)then
+!AC!          IF(mp(il,i+1).gt.1.0e-16)THEN
 !AC!           trap(il,i,j)=trap(il,i+1,j)
 !AC!          endif
@@ -4486,16 +4484,16 @@
 ! verif des inputs a appel stewart
       do il=1,ncum 
-       if (i.le.inb(il) .and. lwork(il)) then
-         if (iso_eau.gt.0) then
+       if (i.le.inb(il) .and. lwork(il)) THEN
+         if (iso_eau.gt.0) THEN
             CALL iso_verif_egalite_choix(xt(iso_eau,il,i), &
               rr(il,i),'appel_stewart 262, cas 1.1',errmax,errmaxrel)
-         endif !if (iso_eau.gt.0) then
+         endif !if (iso_eau.gt.0) THEN
 !#ifdef ISOTRAC
-!        if (option_tmin.ge.1) then
+!        if (option_tmin.ge.1) THEN
 !           CALL iso_verif_positif(xtwater(
 !     :           itZonIso(izone_cond,iso_eau),il,i+1)
 !     :           -xtwater(iso_eau,il,i+1),
 !     :          'cv3_routines 3083')
-!        endif !if (option_tmin.ge.1) then
+!        endif !if (option_tmin.ge.1) THEN
 !#endif
         endif
@@ -4514,8 +4512,8 @@
 
 #ifdef ISOVERIF
-!        write(*,*) 'cv3_routines 2864 tmp: sortie de appel_stewart'
+!        WRITE(*,*) 'cv3_routines 2864 tmp: sortie de appel_stewart'
 ! verif des outputs de appel stewart
        do il=1,ncum
-        if (i.le.inb(il) .and. lwork(il)) then
+        if (i.le.inb(il) .and. lwork(il)) THEN
          do ixt=1,ntraciso        
           CALL iso_verif_noNAN(xtp(ixt,il,i),'cv3_unsat 3382')
@@ -4528,26 +4526,26 @@
 #ifdef ISOVERIF
        do il=1,ncum
-        if (i.le.inb(il) .and. lwork(il)) then
-         if (iso_eau.gt.0) then 
+        if (i.le.inb(il) .and. lwork(il)) THEN
+         if (iso_eau.gt.0) THEN
           CALL iso_verif_egalite_choix(xtp(iso_eau,il,i), &
                  rpprec(il,i),'cv3_unsat 2736',errmax,errmaxrel)
-!          write(*,*) 'xtp(iso_eau,il,i),rpprec(il,i)=',
+!          WRITE(*,*) 'xtp(iso_eau,il,i),rpprec(il,i)=',
 !     :                   xtp(iso_eau,il,i),rpprec(il,i)
           CALL iso_verif_egalite_choix(xtwater(iso_eau,il,i), &
                  water(il,i),'cv3_unsat 2747',errmax,errmaxrel)
-!         write(*,*) 'xtwater(4,il,i)=',xtwater(4,il,i)
-!         write(*,*) 'water(il,i)=',water(il,i)
+!         WRITE(*,*) 'xtwater(4,il,i)=',xtwater(4,il,i)
+!         WRITE(*,*) 'water(il,i)=',water(il,i)
           CALL iso_verif_egalite_choix(xtevap(iso_eau,il,i), &
                  evap(il,i),'cv3_unsat 2751',errmax,errmaxrel)
-         endif !if (iso_eau.gt.0) then
+         endif !if (iso_eau.gt.0) THEN
          if ((iso_HDO.gt.0).and. &
-                 (rp(il,i).gt.ridicule)) then
+                 (rp(il,i).gt.ridicule)) THEN
            CALL iso_verif_aberrant(xtp(iso_HDO,il,i)/rpprec(il,i), &
                         'cv3unsat 2756')
            endif !if ((iso_HDO.gt.0).and.
 #ifdef ISOTRAC
-!        if (il.eq.602) then
-!        write(*,*) 'cv3_routine tmp: il,i=',il,i
-!        write(*,*) 'xtp(iso_eau:ntraciso:3,il,i)=',
+!        if (il.eq.602) THEN
+!        WRITE(*,*) 'cv3_routine tmp: il,i=',il,i
+!        WRITE(*,*) 'xtp(iso_eau:ntraciso:3,il,i)=',
 !     :          xtp(iso_eau:ntraciso:3,il,i)
 !        endif
@@ -4559,12 +4557,12 @@
         CALL iso_verif_traceur_justmass(xtevap(1,il,i), &
                           'cv3_routine 2854')
-!        if (option_tmin.ge.1) then
+!        if (option_tmin.ge.1) THEN
 !         CALL iso_verif_positif(xtwater(
 !     :           itZonIso(izone_cond,iso_eau),il,i)
 !     :           -xtwater(iso_eau,il,i),
 !     :          'cv3_routines 3143')
-!        endif !if (option_tmin.ge.1) then
+!        endif !if (option_tmin.ge.1) THEN
 #endif              
-        endif !if (i.le.inb(il) .and. lwork(il)) then        
+        endif !if (i.le.inb(il) .and. lwork(il)) THEN
        enddo !do il=1,ncum
 #endif
@@ -4572,9 +4570,8 @@
 ! equivalent isotopique de rp(il,i)=amin1(rp(il,i),rs(il,i))
        do il=1,ncum
-        if (i.lt.inb(il) .and. lwork(il)) then
-
-         if (rpprec(il,i).gt.rs(il,i)) then
-            if (rs(il,i).le.0) then
-                write(*,*) 'cv3unsat 2640'
+        if (i.lt.inb(il) .and. lwork(il)) THEN
+         if (rpprec(il,i).gt.rs(il,i)) THEN
+            if (rs(il,i).le.0) THEN
+                WRITE(*,*) 'cv3unsat 2640'
                 stop
             endif
@@ -4589,6 +4586,6 @@
 #endif
 #ifdef ISOVERIF
-           if (iso_eau.gt.0) then
-!             write(*,*) 'xtp(iso_eau,il,i)=',xtp(iso_eau,il,i)  
+           if (iso_eau.gt.0) THEN
+!             WRITE(*,*) 'xtp(iso_eau,il,i)=',xtp(iso_eau,il,i)
              CALL iso_verif_egalite_choix(xtp(iso_eau,il,i),rp(il,i), &
                         'cv3unsat 2653',errmax,errmaxrel)
@@ -4597,8 +4594,8 @@
            endif  
            if ((iso_HDO.gt.0).and. &
-                 (rp(il,i).gt.ridicule)) then
+                 (rp(il,i).gt.ridicule)) THEN
              if (iso_verif_aberrant_nostop(xtp(iso_HDO,il,i)/rp(il,i), &
-                        'cv3unsat 2658').eq.1) then
-                write(*,*) 'rpprec(il,i),rs(il,i),rp(il,i)=', &
+                        'cv3unsat 2658').eq.1) THEN
+                WRITE(*,*) 'rpprec(il,i),rs(il,i),rp(il,i)=', &
                          rpprec(il,i),rs(il,i),rp(il,i)
                 stop
@@ -4611,9 +4608,9 @@
           rpprec(il,i)=rs(il,i)      
          ! sous cas rajoute le 11dec 2011. Normalement, pas utile 
-         else if (rp(il,i).eq.0.0) then                 
+         else if (rp(il,i).eq.0.0) THEN
             do ixt=1,ntraciso
               xtp(ixt,il,i)=0.0
              enddo
-         endif !if (rp(il,i).gt.rs(il,i)) then           
+         endif !if (rp(il,i).gt.rs(il,i)) THEN
          endif !if (i.lt.INB et lwork)
         enddo ! il=1,ncum
@@ -4621,12 +4618,12 @@
 400 END DO
 #ifdef ISO   
-!      write(*,*) 'nl=',nl,'nd=',nd,'; ncum=',ncum  
+!      WRITE(*,*) 'nl=',nl,'nd=',nd,'; ncum=',ncum
 #ifdef ISOVERIF
       do i=1,nl!nl
         do il=1,ncum
-        if (iso_eau.gt.0) then
-!            write(*,*) 'cv3_routines 2767:i,il,lwork(il),inb(il)=',
+        if (iso_eau.gt.0) THEN
+!            WRITE(*,*) 'cv3_routines 2767:i,il,lwork(il),inb(il)=',
 !     :           i,il,lwork(il),inb(il)
-!            write(*,*) 'rp(il,i),xtp(iso_eau,il,i)=',
+!            WRITE(*,*) 'rp(il,i),xtp(iso_eau,il,i)=',
 !     :           rp(il,i),xtp(iso_eau,il,i)  
             CALL iso_verif_egalite_choix(xt(iso_eau,il,i), &
@@ -4636,12 +4633,12 @@
            CALL iso_verif_egalite_choix(xtwater(iso_eau,il,i), &
                  water(il,i),'cv3_unsat 2672',errmax,errmaxrel)
-        endif !if (iso_eau.gt.0) then
+        endif !if (iso_eau.gt.0) THEN
 !#ifdef ISOTRAC
 !        if (iso_verif_traceur_choix_nostop(xtwater(1,il,i),
 !     :       'cv3_routine 2982 unsat',errmax,
-!     :       errmaxrel,ridicule_trac,deltalimtrac).eq.1) then
-!              write(*,*) 'il,i,inb(il),lwork(il)=',
+!     :       errmaxrel,ridicule_trac,deltalimtrac).eq.1) THEN
+!              WRITE(*,*) 'il,i,inb(il),lwork(il)=',
 !     :           il,i,inb(il),lwork(il)
-!              write(*,*) 'xtwater(:,il,i)=',xtwater(:,il,i)
+!              WRITE(*,*) 'xtwater(:,il,i)=',xtwater(:,il,i)
 !              stop
 !        endif
@@ -4650,5 +4647,5 @@
       enddo !do i=1,nl!nl
 !      il=130
-!      write(*,*) 'cv3_unsat 2780: '//
+!      WRITE(*,*) 'cv3_unsat 2780: '//
 !     :           'il,water(il,1),xtwater(iso_eau,il,1)='
 !     :          ,il,water(il,1),xtwater(iso_eau,il,1)
@@ -4706,10 +4703,10 @@
 #endif
 #ifdef ISOTRAC
-        use isotrac_mod, only: option_traceurs, &
+        use isotrac_mod, ONLY: option_traceurs, &
         izone_revap,izone_poubelle,izone_ddft
 #ifdef ISOVERIF
     use isotopes_verif_mod, ONLY: iso_verif_traceur_choix_nostop,deltalimtrac, &
 &       iso_verif_tracpos_choix_nostop,iso_verif_traceur,iso_verif_traceur_justmass
-    use isotrac_mod, only: ridicule_trac
+    use isotrac_mod, ONLY: ridicule_trac
 #endif
 #endif
@@ -4871,5 +4868,5 @@
 #ifdef ISO
        ! cam debug
-!       write(*,*) 'cv3_routines 3082: entree dans cv3_yield'
+!       WRITE(*,*) 'cv3_routines 3082: entree dans cv3_yield'
        ! en cam debug
        do ixt = 1, ntraciso
@@ -4971,6 +4968,6 @@
          ! cam verif
 #ifdef ISOVERIF
-          if (iso_eau.gt.0) then
-!              write(*,*) 'cv3_yield 2952: '//
+          if (iso_eau.gt.0) THEN
+!              WRITE(*,*) 'cv3_yield 2952: '//
 !     :           'il,water(il,1),xtwater(iso_eau,il,1)='
 !     :           ,il,water(il,1),xtwater(iso_eau,il,1)
@@ -4983,5 +4980,5 @@
                  precip(il),'cv3_routines 3138', &
                  errmax*4e3,errmaxrel)
-          endif !if (iso_eau.gt.0) then
+          endif !if (iso_eau.gt.0) THEN
 #ifdef ISOTRAC
         CALL iso_verif_traceur(xtwater(1,il,1), &
@@ -4989,9 +4986,9 @@
         if (iso_verif_traceur_choix_nostop(xtprecip(1,il), &
                  'cv3_routine 3147',errmax*1e2, &
-             errmaxrel,ridicule_trac,deltalimtrac).eq.1) then
-          write(*,*) 'il,inb(il)=',il,inb(il)
-          write(*,*) 'xtwater(:,il,1)=',xtwater(:,il,1)
-          write(*,*) 'xtprecip(:,il)=',xtprecip(:,il)
-          write(*,*) 'fac=',wt(il,1)*sigd*86400.*1000./(rowl*grav)
+             errmaxrel,ridicule_trac,deltalimtrac).eq.1) THEN
+          WRITE(*,*) 'il,inb(il)=',il,inb(il)
+          WRITE(*,*) 'xtwater(:,il,1)=',xtwater(:,il,1)
+          WRITE(*,*) 'xtprecip(:,il)=',xtprecip(:,il)
+          WRITE(*,*) 'fac=',wt(il,1)*sigd*86400.*1000./(rowl*grav)
           stop
         endif
@@ -5010,9 +5007,9 @@
          ! cam verif
 #ifdef ISOVERIF          
-          if (iso_eau.gt.0) then
+          if (iso_eau.gt.0) THEN
               CALL iso_verif_egalite_choix(xtprecip(iso_eau,il), &
                  precip(il),'cv3_routines 3139', &
                  errmax,errmaxrel)
-          endif !if (iso_eau.gt.0) then
+          endif !if (iso_eau.gt.0) THEN
 #ifdef ISOTRAC
         CALL iso_verif_traceur(xtprecip(1,il),'cv3_routine 3166')
@@ -5236,5 +5233,5 @@
        ! cam verif
 #ifdef ISOVERIF
-          if (iso_eau.gt.0) then
+          if (iso_eau.gt.0) THEN
               CALL iso_verif_egalite_choix(fxt(iso_eau,il,1), &
                  fr(il,1),'cv3_routines 3251', &
@@ -5243,18 +5240,18 @@
                  fqd(il,1),'cv3_routines 3748', &
                  errmax*0.1,errmaxrel)
-          endif !if (iso_eau.gt.0) then
+          endif !if (iso_eau.gt.0) THEN
           if ((iso_HDO.gt.0).and. &
-                 (rr(il,1)+delt*fr(il,1).gt.ridicule)) then
+                 (rr(il,1)+delt*fr(il,1).gt.ridicule)) THEN
            CALL iso_verif_aberrant((xt(iso_HDO,il,1) &
               +delt*fxt(iso_HDO,il,1))/(rr(il,1)+delt*fr(il,1)), &
                  'cv3_yield 3125, ddft en 1')
-          endif !if (iso_HDO.gt.0) then
+          endif !if (iso_HDO.gt.0) THEN
           if ((iso_HDO.gt.0).and.(iso_O18.gt.0).and. &
-                 (rr(il,1)+delt*fr(il,1).gt.ridicule)) then
+                 (rr(il,1)+delt*fr(il,1).gt.ridicule)) THEN
            CALL iso_verif_O18_aberrant((xt(iso_HDO,il,1) &
               +delt*fxt(iso_HDO,il,1))/(rr(il,1)+delt*fr(il,1)),(xt(iso_O18,il,1) &
               +delt*fxt(iso_O18,il,1))/(rr(il,1)+delt*fr(il,1)), &
               'cv3_yield 3125b, ddft en 1')
-          endif !if (iso_HDO.gt.0) then
+          endif !if (iso_HDO.gt.0) THEN
 #ifdef ISOTRAC
         CALL iso_verif_traceur_justmass(fxt(1,il,1),'cv3_routine 3417')
@@ -5263,18 +5260,18 @@
         enddo
         if (iso_verif_tracpos_choix_nostop(xtnew,'cv3_yield 3395',1e-5) &
-                 .eq.1) then
-              write(*,*) 'il=',il  
-              write(*,*) 'delt,fxt(:,il,1)=',delt,fxt(:,il,1)
-              write(*,*) 'xt(:,il,1)=' ,xt(:,il,1)
+                 .eq.1) THEN
+              WRITE(*,*) 'il=',il
+              WRITE(*,*) 'delt,fxt(:,il,1)=',delt,fxt(:,il,1)
+              WRITE(*,*) 'xt(:,il,1)=' ,xt(:,il,1)
 #ifdef DIAGISO
-              write(*,*) 'fxt_fluxmasse(:,il,1)=',fxt_fluxmasse(:,il,1)
-              write(*,*) 'fxt_ddft(:,il,1)=',fxt_ddft(:,il,1)
-              write(*,*) 'fxt_evapprecip(:,il,1)=', &
+              WRITE(*,*) 'fxt_fluxmasse(:,il,1)=',fxt_fluxmasse(:,il,1)
+              WRITE(*,*) 'fxt_ddft(:,il,1)=',fxt_ddft(:,il,1)
+              WRITE(*,*) 'fxt_evapprecip(:,il,1)=', &
                          fxt_evapprecip(:,il,1)
-              write(*,*) 'xt(:,il,2)=',xt(:,il,2)
-              write(*,*) 'xtp(:,il,2)=',xtp(:,il,2)
-              write(*,*) 'xtevap(:,il,1)=',xtevap(:,il,1)
-              write(*,*) 'xtevap(:,il,2)=',xtevap(:,il,2)
-              write(*,*) 'facam,facmp,facev=',0.01*grav*am(il)*work(il), &
+              WRITE(*,*) 'xt(:,il,2)=',xt(:,il,2)
+              WRITE(*,*) 'xtp(:,il,2)=',xtp(:,il,2)
+              WRITE(*,*) 'xtevap(:,il,1)=',xtevap(:,il,1)
+              WRITE(*,*) 'xtevap(:,il,2)=',xtevap(:,il,2)
+              WRITE(*,*) 'facam,facmp,facev=',0.01*grav*am(il)*work(il), &
                 0.01*grav*mp(il,2)*work(il),sigd(il)*0.5
 #endif                            
@@ -5296,6 +5293,6 @@
 !AC!     do j=1,ntra
 !AC!      do il=1,ncum
-!AC!       if (iflag(il) .le. 1) then
-!AC!       if (cvflag_grav) then
+!AC!       if (iflag(il) .le. 1) THEN
+!AC!       if (cvflag_grav) THEN
 !AC!        ftra(il,1,j)=ftra(il,1,j)+0.01*grav*work(il)
 !AC!    :                     *(mp(il,2)*(trap(il,2,j)-tra(il,1,j))
@@ -5339,21 +5336,21 @@
        ! cam verif
 #ifdef ISOVERIF
-          if (iso_eau.gt.0) then
+          if (iso_eau.gt.0) THEN
               CALL iso_verif_egalite_choix(fxt(iso_eau,il,1), &
                  fr(il,1),'cv3_routines 3251',errmax*0.1,errmaxrel)
-          endif !if (iso_eau.gt.0) then
+          endif !if (iso_eau.gt.0) THEN
           if ((iso_HDO.gt.0).and. &
-                 (rr(il,1)+delt*fr(il,1).gt.ridicule)) then
+                 (rr(il,1)+delt*fr(il,1).gt.ridicule)) THEN
            CALL iso_verif_aberrant((xt(iso_HDO,il,1) &
                +delt*fxt(iso_HDO,il,1))/(rr(il,1)+delt*fr(il,1)), &
                'cv3_yield 3127, dtr melanges')
-          endif !if (iso_HDO.gt.0) then
+          endif !if (iso_HDO.gt.0) THEN
           if ((iso_HDO.gt.0).and.(iso_O18.gt.0).and. &
-                 (rr(il,1)+delt*fr(il,1).gt.ridicule)) then
+                 (rr(il,1)+delt*fr(il,1).gt.ridicule)) THEN
            CALL iso_verif_O18_aberrant((xt(iso_HDO,il,1) &
               +delt*fxt(iso_HDO,il,1))/(rr(il,1)+delt*fr(il,1)),(xt(iso_O18,il,1) &
               +delt*fxt(iso_O18,il,1))/(rr(il,1)+delt*fr(il,1)), &
               'cv3_yield 3127b, dtr melanges')
-          endif !if (iso_HDO.gt.0) then
+          endif !if (iso_HDO.gt.0) THEN
 #ifdef ISOTRAC
         CALL iso_verif_traceur_justmass(fxt(1,il,1),'cv3_routine 3417')
@@ -5362,10 +5359,10 @@
         enddo
         if (iso_verif_tracpos_choix_nostop(xtnew,'cv3_yield 3525',1e-5) &
-                 .eq.1) then
-              write(*,*) 'il=',il   
-              write(*,*) 'delt,fxt(:,il,1)=',delt,fxt(:,il,1)
-              write(*,*) 'fac=', 0.01*grav*work(il)*ment(il,j,1)
-              write(*,*) 'xt(:,il,1)=' ,xt(:,il,1)
-              write(*,*) 'xtent(:,il,j,1)=' ,xtent(:,il,j,1) 
+                 .eq.1) THEN
+              WRITE(*,*) 'il=',il
+              WRITE(*,*) 'delt,fxt(:,il,1)=',delt,fxt(:,il,1)
+              WRITE(*,*) 'fac=', 0.01*grav*work(il)*ment(il,j,1)
+              WRITE(*,*) 'xt(:,il,1)=' ,xt(:,il,1)
+              WRITE(*,*) 'xtent(:,il,j,1)=' ,xtent(:,il,j,1)
 !              stop
         endif
@@ -5383,7 +5380,7 @@
 !AC!       do j=2,nl
 !AC!        do il=1,ncum
-!AC!         if (j.le.inb(il) .and. iflag(il) .le. 1) then
+!AC!         if (j.le.inb(il) .and. iflag(il) .le. 1) THEN
 !AC!
-!AC!          if (cvflag_grav) then
+!AC!          if (cvflag_grav) THEN
 !AC!           ftra(il,1,k)=ftra(il,1,k)+0.01*grav*work(il)*ment(il,j,1)
 !AC!     :                *(traent(il,j,1,k)-tra(il,1,k))
@@ -5737,13 +5734,13 @@
         do ixt=1,ntraciso
           if (iso_verif_noNaN_nostop(fxtd(ixt,il,i),'cv3_yield 4428') &
-                 .eq.1) then
-            write(*,*) 'xtevap(ixt,il,i)=',xtevap(ixt,il,i)
-            write(*,*) 'xtp(ixt,il,i+1)=',xtp(ixt,il,i+1)
-            write(*,*) 'xt_wake(ixt,il,i)=',xt_wake(ixt,il,i)
-            write(*,*) 'xtp(ixt,il,i)=',xtp(ixt,il,i)
-            write(*,*) 'xt_wake(ixt,il,i-1)=',xt_wake(ixt,il,i-1)
-            write(*,*) 'mp(il,i:i+1)=',mp(il,i:i+1)
-            write(*,*) 'fxtd(ixt,il,i)=',fxtd(ixt,il,i)
-            write(*,*) 'fxt(ixt,il,i)=',fxt(ixt,il,i)
+                 .eq.1) THEN
+            WRITE(*,*) 'xtevap(ixt,il,i)=',xtevap(ixt,il,i)
+            WRITE(*,*) 'xtp(ixt,il,i+1)=',xtp(ixt,il,i+1)
+            WRITE(*,*) 'xt_wake(ixt,il,i)=',xt_wake(ixt,il,i)
+            WRITE(*,*) 'xtp(ixt,il,i)=',xtp(ixt,il,i)
+            WRITE(*,*) 'xt_wake(ixt,il,i-1)=',xt_wake(ixt,il,i-1)
+            WRITE(*,*) 'mp(il,i:i+1)=',mp(il,i:i+1)
+            WRITE(*,*) 'fxtd(ixt,il,i)=',fxtd(ixt,il,i)
+            WRITE(*,*) 'fxt(ixt,il,i)=',fxt(ixt,il,i)
             stop
           endif
@@ -5751,57 +5748,56 @@
 #endif             
 #ifdef ISOVERIF
-        if (iso_eau.gt.0) then
+        if (iso_eau.gt.0) THEN
             CALL iso_verif_egalite_choix(fxt(iso_eau,il,i), &
                  fr(il,i),'cv3_routines 4162',errmax*0.1,errmaxrel)
             if (iso_verif_egalite_choix_nostop(fxtd(iso_eau,il,i), &
                  fqd(il,i),'cv3_routines 4164', &
-                 errmax*0.1,errmaxrel).eq.1) then
-                write(*,*) 'i,il=',i,il
+                 errmax*0.1,errmaxrel).eq.1) THEN
+                WRITE(*,*) 'i,il=',i,il
                 stop
             endif !if (iso_verif_egalite_choix_nostop(fxtd(iso_eau,il,i),
         endif
         if ((iso_HDO.gt.0).and. &
-                 (rr(il,i)+delt*fr(il,i).gt.ridicule)) then
+                 (rr(il,i)+delt*fr(il,i).gt.ridicule)) THEN
         if (iso_verif_aberrant_nostop((xt(iso_HDO,il,i) &
                  +delt*fxt(iso_HDO,il,i)) &
                  /(rr(il,i)+delt*fr(il,i)),'cv3_yield 4175') &
-                 .eq.1) then
-        if (rr(il,i).ne.0.0) then
-        write(*,*) 'il,i,rr,deltaD=',il,i,rr(il,i),deltaD &
+                 .eq.1) THEN
+        if (rr(il,i).ne.0.0) THEN
+        WRITE(*,*) 'il,i,rr,deltaD=',il,i,rr(il,i),deltaD &
                  (xt(iso_HDO,il,i)/rr(il,i))
         endif
-        if (fr(il,i).ne.0.0) then
-        write(*,*) 'fr,fxt,deltaD=',fr(il,i),fxt(iso_HDO,il,i), &
+        if (fr(il,i).ne.0.0) THEN
+        WRITE(*,*) 'fr,fxt,deltaD=',fr(il,i),fxt(iso_HDO,il,i), &
                  deltaD(fxt(iso_HDO,il,i)/fr(il,i))
         endif
 #ifdef DIAGISO
-        if (fq_ddft(il,i).ne.0.0) then
-        write(*,*) 'fq_ddft,deltaD=',fq_ddft(il,i),deltaD( &
+        if (fq_ddft(il,i).ne.0.0) THEN
+        WRITE(*,*) 'fq_ddft,deltaD=',fq_ddft(il,i),deltaD( &
                  fxt_ddft(iso_HDO,il,i)/fq_ddft(il,i))
         endif
-        if (fq_evapprecip(il,i).ne.0.0) then
-        write(*,*) 'fq_evapprecip,deltaD=',fq_evapprecip(il,i),deltaD( &
+        if (fq_evapprecip(il,i).ne.0.0) THEN
+        WRITE(*,*) 'fq_evapprecip,deltaD=',fq_evapprecip(il,i),deltaD( &
                  fxt_evapprecip(iso_HDO,il,i)/fq_evapprecip(il,i))
         endif
 #endif        
-        write(*,*) 'sigd,evap(il,i),evap(il,i+1)=', &
+        WRITE(*,*) 'sigd,evap(il,i),evap(il,i+1)=', &
                   sigd(il),evap(il,i),evap(il,i+1)
-        write(*,*) 'xtevap(ixt,il,i),xtevap(ixt,il,i+1)=', &
+        WRITE(*,*) 'xtevap(ixt,il,i),xtevap(ixt,il,i+1)=', &
                  xtevap(ixt,il,i),xtevap(ixt,il,i+1)
-        write(*,*) 'grav,mp(il,i+1),mp(il,i),dpinv=', &
+        WRITE(*,*) 'grav,mp(il,i+1),mp(il,i),dpinv=', &
                  grav,mp(il,i+1),mp(il,i),dpinv
-        write(*,*) 'rp(il,i+1),rr(il,i),rp(il,i),rr(il,i-1)=', &
+        WRITE(*,*) 'rp(il,i+1),rr(il,i),rp(il,i),rr(il,i-1)=', &
                  rp(il,i+1),rr(il,i),rp(il,i),rr(il,i-1)
-        write(*,*) 'xtp(il,i+1),xt(il,i),xtp(il,i),xt(il,i-1)=', &
+        WRITE(*,*) 'xtp(il,i+1),xt(il,i),xtp(il,i),xt(il,i-1)=', &
                  xtp(iso_HDO,il,i+1),xt(iso_HDO,il,i), &
                  xtp(iso_HDO,il,i),xt(iso_HDO,il,i-1)
         stop
         endif
-        endif !if (iso_HDO.gt.0) then
+        endif !if (iso_HDO.gt.0) THEN
 #endif
 
 #ifdef ISOTRAC
-        if ((option_traceurs.ne.6).and.(option_traceurs.ne.19)) then
-
+        if ((option_traceurs.ne.6).and.(option_traceurs.ne.19)) THEN
             ! facile: on fait comme l'eau
             do ixt = 1+niso,ntraciso
@@ -5839,18 +5835,18 @@
 
         ! ajout du terme des ddfts sensi stricto
-!        write(*,*) 'tmp cv3_yield 4165: i,il=',i,il
-
-        if (option_traceurs.eq.6) then
+!        WRITE(*,*) 'tmp cv3_yield 4165: i,il=',i,il
+
+        if (option_traceurs.eq.6) THEN
           do iiso = 1, niso
              
              ixt_ddft=itZonIso(izone_ddft,iiso)  
-             if (mp(il,i).gt.mp(il,i+1)) then
+             if (mp(il,i).gt.mp(il,i+1)) THEN
                 fxtYe(iiso)=0.01*grav*dpinv*mp(il,i) &
                  *(xt(ixt_ddft,il,i-1)-xt(ixt_ddft,il,i))
-             else !if (mp(il,i).gt.mp(il,i+1)) then
+             else !if (mp(il,i).gt.mp(il,i+1)) THEN
                 fxtYe(iiso)=0.01*grav*dpinv*(mp(il,i) &
                  *xt(ixt_ddft,il,i-1)-mp(il,i+1)*xt(ixt_ddft,il,i) &
                  +(mp(il,i+1)-mp(il,i))*xtp(ixt_ddft,il,i))
-             endif !if (mp(il,i).gt.mp(il,i+1)) then
+             endif !if (mp(il,i).gt.mp(il,i+1)) THEN
              fxtqe(iiso)=0.01*grav*dpinv* &
                     (mp(il,i+1)*(xtp(iiso,il,i+1)-xt(iiso,il,i)) &
@@ -5863,8 +5859,6 @@
          enddo !do iiso = 1, niso
 
-         else !if (option_traceurs.eq.6) then
-
-
-            if (mp(il,i).gt.mp(il,i+1)) then
+         else !if (option_traceurs.eq.6) THEN
+            if (mp(il,i).gt.mp(il,i+1)) THEN
                 ! cas entrainant: faire attention
                 
@@ -5889,8 +5883,8 @@
                 Xe(iiso)=xt(iiso,il,i) &
                          -xt(ixt_ddft,il,i)-xt(ixt_revap,il,i)
-                if (Xe(iiso).gt.ridicule) then
+                if (Xe(iiso).gt.ridicule) THEN
                   do izone=1,nzone
                    if ((izone.ne.izone_revap).and. &
-                         (izone.ne.izone_ddft)) then
+                         (izone.ne.izone_ddft)) THEN
                     ixt=itZonIso(izone,iiso) 
                     fxt(ixt,il,i)=fxt(ixt,il,i) &
@@ -5899,20 +5893,20 @@
                   enddo !do izone=1,nzone   
 #ifdef ISOVERIF
-!                write(*,*) 'iiso=',iiso
-!                write(*,*) 'fxtqe=',fxtqe(iiso)
-!                write(*,*) 'fxtYe=',fxtYe(iiso)
-!                write(*,*) 'fxt_revap=',fxt_revap(iiso)
-!                write(*,*) 'fxtXe=',fxtXe(iiso)
-!                write(*,*) 'Xe=',Xe(iiso)
-!                write(*,*) 'xt=',xt(:,il,i)
+!                WRITE(*,*) 'iiso=',iiso
+!                WRITE(*,*) 'fxtqe=',fxtqe(iiso)
+!                WRITE(*,*) 'fxtYe=',fxtYe(iiso)
+!                WRITE(*,*) 'fxt_revap=',fxt_revap(iiso)
+!                WRITE(*,*) 'fxtXe=',fxtXe(iiso)
+!                WRITE(*,*) 'Xe=',Xe(iiso)
+!                WRITE(*,*) 'xt=',xt(:,il,i)
                   CALL iso_verif_traceur_justmass(fxt(1,il,i), &
                          'cv3_routine 4646')
 #endif
-                else !if (abs(dXe).gt.ridicule) then
+                else !if (abs(dXe).gt.ridicule) THEN
                     ! dans ce cas, fxtXe doit etre faible
                     
 #ifdef ISOVERIF
-                if (delt*fxtXe(iiso).gt.ridicule) then
-                   write(*,*) 'cv3_routines 6563: delt*fxtXe(iiso)=', &
+                if (delt*fxtXe(iiso).gt.ridicule) THEN
+                   WRITE(*,*) 'cv3_routines 6563: delt*fxtXe(iiso)=', &
                                 delt*fxtXe(iiso)
                    stop
@@ -5921,11 +5915,11 @@
                 do izone=1,nzone
                    if ((izone.ne.izone_revap).and. &
-                         (izone.ne.izone_ddft)) then
+                         (izone.ne.izone_ddft)) THEN
                     ixt=itZonIso(izone,iiso) 
-                    if (izone.eq.izone_poubelle) then
+                    if (izone.eq.izone_poubelle) THEN
                       fxt(ixt,il,i)=fxt(ixt,il,i)+fxtXe(iiso)
-                    else !if (izone.eq.izone_poubelle) then
+                    else !if (izone.eq.izone_poubelle) THEN
                         ! pas de tendance pour ce tag la
-                    endif !if (izone.eq.izone_poubelle) then
+                    endif !if (izone.eq.izone_poubelle) THEN
                    endif !if ((izone.ne.izone_revap).and.
                 enddo !do izone=1,nzone
@@ -5935,9 +5929,8 @@
 #endif              
                                            
-                endif !if (abs(dXe).gt.ridicule) then
-
+                endif !if (abs(dXe).gt.ridicule) THEN
               enddo !do iiso = 1, niso
                
-            else !if (mp(il,i).gt.mp(il,i+1)) then
+            else !if (mp(il,i).gt.mp(il,i+1)) THEN
                 ! cas detrainant: pas de problemes
                 do ixt=1+niso,ntraciso
@@ -5950,13 +5943,11 @@
                          'cv3_routine 4685')
 #endif                
-            endif !if (mp(il,i).gt.mp(il,i+1)) then
-
-          endif !if (option_traceurs.eq.6) then
-
-!          write(*,*) 'delt*conversion=',delt*conversion(iso_eau)
-!           write(*,*) 'delt*fxtYe=',delt*fxtYe(iso_eau) 
-!           write(*,*) 'delt*fxtqe=',delt*fxtqe(iso_eau)                  
-
-        endif ! if ((option_traceurs.ne.6).and.(option_traceurs.ne.19)) then
+            endif !if (mp(il,i).gt.mp(il,i+1)) THEN
+          endif !if (option_traceurs.eq.6) THEN
+!          WRITE(*,*) 'delt*conversion=',delt*conversion(iso_eau)
+!           WRITE(*,*) 'delt*fxtYe=',delt*fxtYe(iso_eau)
+!           WRITE(*,*) 'delt*fxtqe=',delt*fxtqe(iso_eau)
+
+        endif ! if ((option_traceurs.ne.6).and.(option_traceurs.ne.19)) THEN
 #endif
         
@@ -5968,42 +5959,42 @@
 #endif
 #ifdef ISOVERIF
-          if (iso_eau.gt.0) then
+          if (iso_eau.gt.0) THEN
               CALL iso_verif_egalite_choix(fxt(iso_eau,il,i), &
                  fr(il,i),'cv3_routines 3493',errmax*0.1,errmaxrel)
-          endif !if (iso_eau.gt.0) then
-          if ((iso_HDO.gt.0).and.(delt*fr(il,i).gt.ridicule)) then
+          endif !if (iso_eau.gt.0) THEN
+          if ((iso_HDO.gt.0).and.(delt*fr(il,i).gt.ridicule)) THEN
               if (iso_verif_aberrant_nostop( &
                  fxt(iso_HDO,il,i)/fr(il,i), &
-                 'cv3_yield 3662').eq.1) then
-!                write(*,*) 'il,i,icb(il),inb(il)=',il,i,icb(il),inb(il)
-!                write(*,*) 'fr(il,i),delt=',fr(il,i),delt
+                 'cv3_yield 3662').eq.1) THEN
+!                WRITE(*,*) 'il,i,icb(il),inb(il)=',il,i,icb(il),inb(il)
+!                WRITE(*,*) 'fr(il,i),delt=',fr(il,i),delt
 #ifdef DIAGISO
-                if (fq_ddft(il,i).ne.0.0) then
-                write(*,*) 'fq_ddft,deltaD=',fq_ddft(il,i),deltaD( &
+                if (fq_ddft(il,i).ne.0.0) THEN
+                WRITE(*,*) 'fq_ddft,deltaD=',fq_ddft(il,i),deltaD( &
                    fxt_ddft(iso_HDO,il,i)/fq_ddft(il,i))
-                endif !if (fq_ddft(il,i).ne.0.0) then
-                if (fq_evapprecip(il,i).ne.0.0) then
-                write(*,*) 'fq_evapprecip,deltaD=',fq_evapprecip(il,i), &
+                endif !if (fq_ddft(il,i).ne.0.0) THEN
+                if (fq_evapprecip(il,i).ne.0.0) THEN
+                WRITE(*,*) 'fq_evapprecip,deltaD=',fq_evapprecip(il,i), &
                    deltaD(fxt_evapprecip(iso_HDO,il,i) &
                    /fq_evapprecip(il,i))
-                endif !if (fq_evapprecip(il,i).ne.0.0) then
+                endif !if (fq_evapprecip(il,i).ne.0.0) THEN
 #endif                
                endif !if (iso_verif_aberrant_nostop(
-          endif !if (iso_HDO.gt.0) then
+          endif !if (iso_HDO.gt.0) THEN
           if ((iso_HDO.gt.0).and.& 
-                 (rr(il,i)+delt*fr(il,i).gt.ridicule)) then
+                 (rr(il,i)+delt*fr(il,i).gt.ridicule)) THEN
            if (iso_verif_aberrant_nostop((xt(iso_HDO,il,i) &
                  +delt*fxt(iso_HDO,il,i)) &
                  /(rr(il,i)+delt*fr(il,i)),'cv3_yield 3757, ddfts') &
-                 .eq.1) then
-                write(*,*) 'i,il,q,deltaD=',i,il,rr(il,i),deltaD( &
+                 .eq.1) THEN
+                WRITE(*,*) 'i,il,q,deltaD=',i,il,rr(il,i),deltaD( &
                    xt(iso_HDO,il,i)/rr(il,i))
-                write(*,*) 'i,il,fr,deltaD=',i,il,fr(il,i),deltaD( &
+                WRITE(*,*) 'i,il,fr,deltaD=',i,il,fr(il,i),deltaD( &
                    fxt(iso_HDO,il,i)/fr(il,i))
                 stop
             endif ! if (iso_verif_aberrant_nostop
-        endif !if (iso_HDO.gt.0) then
+        endif !if (iso_HDO.gt.0) THEN
 #ifdef ISOTRAC
-!        write(*,*) 'tmp cv3_yield 4224: i,il=',i,il
+!        WRITE(*,*) 'tmp cv3_yield 4224: i,il=',i,il
         CALL iso_verif_traceur_justmass(fxt(1,il,i),'cv3_routine 4107')
         do ixt=1,ntraciso
@@ -6011,16 +6002,16 @@
         enddo
         if (iso_verif_tracpos_choix_nostop(xtnew, &
-                        'cv3_yield 4221',1e-5).eq.1) then
-          write(*,*) 'delt*fxt(,il,i)=',delt*fxt(1:ntraciso:2,il,i)
-          write(*,*) 'delt*fxt(,il,i)=',delt*fxt(:,il,i)
-          write(*,*) 'xt(,il,i)=',xt(:,il,i)
-          write(*,*) 'delt,sigd,grav,dpinv=',delt,sigd(il),grav,dpinv
-          write(*,*) 'xtevap(,il,i)=',xtevap(:,il,i)
-          write(*,*) 'xtevap(,il,i+1)=',xtevap(:,il,i+1)
-          write(*,*) 'mp(il,i+1),mp(il,i)=',mp(il,i+1),mp(il,i)
-          write(*,*) 'xtp(,il,i)=',xtp(:,il,i)
-          write(*,*) 'xtp(,il,i+1)=',xtp(:,il,i+1)
-          write(*,*) 'xt(,il,i)=',xt(:,il,i)
-          write(*,*) 'xt(,il,i-1)=',xt(:,il,i-1)
+                        'cv3_yield 4221',1e-5).eq.1) THEN
+          WRITE(*,*) 'delt*fxt(,il,i)=',delt*fxt(1:ntraciso:2,il,i)
+          WRITE(*,*) 'delt*fxt(,il,i)=',delt*fxt(:,il,i)
+          WRITE(*,*) 'xt(,il,i)=',xt(:,il,i)
+          WRITE(*,*) 'delt,sigd,grav,dpinv=',delt,sigd(il),grav,dpinv
+          WRITE(*,*) 'xtevap(,il,i)=',xtevap(:,il,i)
+          WRITE(*,*) 'xtevap(,il,i+1)=',xtevap(:,il,i+1)
+          WRITE(*,*) 'mp(il,i+1),mp(il,i)=',mp(il,i+1),mp(il,i)
+          WRITE(*,*) 'xtp(,il,i)=',xtp(:,il,i)
+          WRITE(*,*) 'xtp(,il,i+1)=',xtp(:,il,i+1)
+          WRITE(*,*) 'xt(,il,i)=',xt(:,il,i)
+          WRITE(*,*) 'xt(,il,i-1)=',xt(:,il,i-1)
 !         rappel: fxt(ixt,il,i)=fxt(ixt,il,i)
 !          0.5*sigd*(xtevap(ixt,il,i)+xtevap(ixt,il,i+1))
